Introduction

 Return to Introduction

SDI FTP is a Windows-based FTP client application that transfers files between any host system running an FTP server and your PC.

With a familiar Windows Explorer-like interface, SDI FTP is easy to use for the novice, yet packed full of features for the more advanced user. Designed specifically Windows, SDI FTP supports Windows Windows 11, 10, 8, 7, XP and Windows Server 2022, 2019, 2016, 2012, 2008, 2003 and 2000.


Features

Standard Features

Host Support: SDI FTP can connect to a wide variety of host operating systems, including: Windows, UNIX, VMS, OS/2, z/VM, z/OS, VSE/ESA and OS/400.
Explorer-like Interface: A familiar Windows Explorer-like interface shows folder and file views for both the local and remote computers. See Windows and Panes.
Folder Management: Create, rename and delete local and remote files and folders.
Drag/Drop Support: Drag and drop files to upload or download.
Address Book: Save connection details for all your favorite FTP sites in the address book for quick easy access.
Activity Log Files: Log files keep a record of your file transfer sessions. (View, Log Files)
Multiple Simultaneous Connections: A sleek tabbed window allows you to manage up to 10 simultaneous connections. See Working with Sessions.
Proxy/Firewall Support: Customize SDI FTP to work with your proxy server or firewall. (Host, Properties, Firewall tab)

File Filters: Use the file filter wildcards to display specific groups of files in the host and/or local file panes. (Host, Properties, options tab)
Synchronize: (New!) Synchronize local and remote folders with a single click. (View, Synchronize)
Transfer Resume: Resume incomplete file transfers where they left off instead of starting the file transfer over.
Scripting Language: Use the scripting language to automate common operations.
Command Line Operation: Allows common operations to be built into command line batch files.
Queued File Transfer: Display a real-time progress bar or transfer files quietly in the background. (Host, Properties, Download tab and Upload tab )
Automated Installation: An installation wizard leads you through install and uninstall.

Optional Features

SSL Support: SSL (Secure Sockets Layer) allows you to establish a secure connection between SDI FTP and a host computer. Protect your confidential data from eavesdropping and tampering!
Protocols: SSL v2, SSL v3, TLS v1
Encryption Strength: 256-bit

SDI FTP SSL support includes software developed by the OpenSSL project for the OpenSSL toolkit. This feature includes cryptographic software written by Eric Young. This feature includes software written by Tim Hudson. (See the OpenSSL license agreement )


Evaluation and License Agreements

Evaluation

SDI FTP is distributed as an evaluation version for a 30 day trial. The evaluation version includes all the product features. After the 30-day evaluation period, you must register the product with SDI if you wish to continue using the product. When you register the product, you also select the optional features you desire.

License Agreement

By registering for and/or ordering SDI FTP, by whatever means, you agree to be bound by the terms and conditions of the Licensing Agreement set out at http://sdisw.com/license.htm.


Maintenance and Technical Support Agreements

Maintenance and Technical Support Agreements

You can find the maintenance and technical support agreements on the following web page: http://sdisw.com/maintenance.htm.

Please refer to the License Agreement for SDI's exclusive terms and conditions of use and sale.


Copyright and Legal Notices

SDI FTP SSL utilizes the "OpenSSL toolkit" functionality provided by "The Open SSL Project" at http://www.openssl.org . SDI Limited acknowledges all patent rights therein."

The OpenSSL toolkit is licensed under a dual-license (the OpenSSL license and the original SSLeay license). See the license text below.

OpenSSL License

Copyright (c) 1998-2000 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3. All advertising materials mentioning features or use of this software must display the following acknowledgment: This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. ( http://www.openssl.org)
4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org
5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.
6. Redistributions of any form whatsoever must retain the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit ( http://www.openssl.org) "

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young ( eay@cryptsoft.com ). This product includes software written by Tim Hudson ( tjh@cryptsoft.com ).

SSLeay license

Copyright (C) 1995-1998 Eric Young ( eay@cryptsoft.com ) All rights reserved.

This package is an SSL implementation written by Eric Young ( eay@cryptsoft.com ). The implementation was written so as to conform with Netscapes SSL. This library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson ( tjh@cryptsoft.com ).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3. All advertising materials mentioning features or use of this software must display the following acknowledgement: "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)". The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).
4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: "This product includes software written by Tim Hudson ( tjh@cryptsoft.com )"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence including the GNU Public Licence.


Support/Questions/Suggestions

The best way to contact SDI about support or with questions or suggestions is to send an e-mail message to support@sdisw.com .

Please include the following information with any support request:

1. What version of Windows you are running.

2. What version of SDI FTP you are running. Select About SDI FTP... from the Help menu to get the SDI FTP version number and build date.

3. Can the problem be recreated? If so, how?

4. Include the full text of any dialog or message boxes that appear when the problem occurs.

5. Your telephone number and e-mail address.

SDI welcomes any questions about SDI FTP and we will do our best to answer those questions in a timely manner.

SDI would also like your input about possible enhancements to SDI FTP. We are interested in anything that will make SDI FTP easier to use, more efficient or more effective. Many of the product's features came from suggestions from early users of the product.

We are also looking for new product ideas and if you have an idea for a Windows product that you want developed please let us know.


Connecting for the First Time

To get started with SDI FTP, you need to create a session and connect to a host computer. Once you are connected to the host computer, you can move files between folders on your PC and folders on the host computer just like you move files between folders on your PC.

1. Open the Host menu and select the New command or click the New button ToolbarNew75p on the toolbar.

MenuHostNew75p

2. Fill in the New Session Setup dialog box. Here a few hints to get you started.

Session Name Enter a descriptive name for your session. This session will contain all the settings you need to connect to a specific host. If want to connect to more that one host computer you will create multiple sessions. The session name is used to select a tailored session for future connections. Here are some examples: (Microsoft, IBM, Mainframe Site 1, AS/400 FTP Server).

Host Name Enter the domain name or IP address of the computer you want to connect to. If you do not know the domain name or IP address, you will have to contact the network administrator at the host computer site. SDI cannot provide you with that information.

FTP Port Enter the FTP connection port number . This is usually 21.
Host Type Specify the operating system running on the host computer. Specify "Automatic detect" and SDI FTP sends the SYST command to the host computer to determine the operating system. This is the preferred selection. If the host computer, rejects the SYST command, select the appropriate host operating system from the list.

User Name Enter your user name. If you are connecting to an FTP server that allows anonymous connections, check the "Anonymous" check box and SDI FTP will fill in a user name of anonymous for you.

Password Enter your password. If this is an anonymous connection, most FTP server administrators request that you fill in your e-mail address as the password. If you wish to be prompted for your password, check the "Prompt" check box. If you want you password to be saved so that you do not need to reenter it each time you connect to the host, click the "Save Password" check box. The password will be encrypted and saved with the other session information.

3. This is all you need for connecting to most FTP servers. Click the Connect button to make the connection.


Windows and Panes

The SDI FTP workspace is divided into several different bars and panes.

Menu

The menu bar gives you access to the SDI FTP commands.

Toolbar

The toolbar offers one-click shortcuts to commonly used commands.

Local Tree Pane (top left)

The pane at the top left shows the drives and folders on the local computer. The information is presented in a "tree" form, similar to the left-hand pane in Windows Explorer. Initially, the tree is shown with all branches in a "collapsed" state. A branch may be expanded by clicking on the "+" symbol next to the branch, or by selecting the branch and pressing the "+" key on the numeric keypad. A branch can be collapsed by clicking on the "-" symbol, or by pressing the "-" key on the numeric keypad. If a folder is selected, it becomes the current folder for the active session. The local folder tree pane is simply a tool for navigating folders, all the manipulation of files and folders is done in the local list pane.

Local List Pane (bottom left)

The pane at the bottom left shows the folders and files present in the currently selected folder on the local computer. The information is presented in a "list" form, similar to the right-hand pane in Windows Explorer. The list is initially displayed sorted in ascending order by file name. The list can be resorted in ascending or descending order, by file name, size, type or date by clicking on the column heading. Additionally, the list can be shown in one of four formats: as large icons, small icons, as a list view or as a detailed view (default).

A single folder or file can be selected from the list by clicking on the item or by using the up and down arrow keys on the keyboard. Multiple folders and files can be selected from the list by clicking on each item while holding down the Ctrl key on the keyboard, or by holding down the Ctrl key while using the up and down arrows on the keyboard and pressing the space bar. A folder can be opened by double-clicking the item with the mouse.

Remote Tree Pane (top right)

Once connected to a remote host, the pane at the top right shows the folders on the remote computer. Branches may be expanded and collapsed as with the Local Tree Pane (see above). The remote tree pane is simply a tool for navigating folders, all the manipulation of files and folders is done in the remote list pane.

Remote List Pane (bottom right)

This shows the contents of the currently selected folder on the remote host. The list can be sorted and items selected in the same manner as described for the Local List Pane (see above).

File Filters

The local and remote list panes each contain a file filter edit box. Use the file filter to display a subset of the files and folders contaned in the current folder.

Output Log Pane

Immediately below the four folder and file panes appears the Output Log pane. This can be hidden or made visible by selecting Output Log from the View menu . The Output Log pane shows the FTP commands and responses to and from the host computer for the currently active session. Each line appears in a different color as follows:

Green FTP commands sent to the remote host

Blue Normal responses and messages received from the remote host

Red Error messages received from the remote host

Black Status or informational messages generated by SDI FTP

Session Tabs

Session tabs allow you to switch back and forth between multiple FTP sessions.

Status Bar

The status bar indicates sessions settings and session status. The status bar can be hidden or made visible by selecting Status Bar from the View menu .


Working with Sessions

A "session" is a file on disk containing all the information necessary to connect to a host computer and defining the options in use when connected to that host. Up to ten sessions can be active simultaneously.

Opening a session

You can create a new session or open an existing session by using the New Session Setup dialog box .

Opening Multiple Sessions

You can open up to ten session at the same time. For example if you wanted to connect to the IBM and Intel FTP servers as the same time:

1. Create sessions for IBM and Intel. (Host, New)
2. Connect the IBM session. (Host, Connect, Session Name = IBM, Connect button). The IBM session is assigned to the first session tab.
3. Connect the Intel session. (Host, Connect, Session Name = IBM, Connect button). The Intel session is assigned to the second session tab.

Switching between sessions

Switch between sessions by clicking on the session tab for the session or by selecting the open session number from the View menu . The sample below has four sessions connected: IBM, Intel, Sony and Microsoft. "Intel" is the active session.

Disconnecting a session

You can disconnect a session by either selecting Disconnect from the Host menu or by clicking on the Disconnect button on the toolbar. The TCP/IP connection is disconnected, but the session tab remains available and the remote tree and list panes remain displayed.

Reconnecting a session

A session which is in disconnected state may be reconnected either by selecting Reconnect from the Host menu or by clicking on the Reconnect button on the toolbar.

Closing a session

A session is closed by selecting Close from the Host menu . The close command disconnects the session (if it is connected) and clears the session tab.


Entering Your License Code

SDI FTP is distributed as an evaluation version for a 30 day trial. The evaluation version includes all the product features . If you want to continue to run SDI FTP after the 30-day evaluation period has expired, you must purchase a license from SDI.

When you purchase a license, you will receive a license code from SDI. Entering the license code will change your copy of SDI FTP from an evaluation version to a licensed version and activate the features you licensed. To enter the license code:

1. Start SDI FTP.

2. Open the Help menu and click on About SDI FTP...

MenuHelp

3. If the About SDI FTP Evaluation Version dialog box appears, click on the License Code button. If the About SDI FTP dialog box appears, click on the License... button.

4. In the Product License dialog box, fill in the Licensed to and License code edit boxes. Both the Licensed to and License code fields are case sensitive. A portion of the licensed to name is encrypted into the license code, so both fields must be entered correctly for the license code to work. Click the OK button.

Error Messages:

The license code is not valid for this release.

The 'Licensed to' file is incorrect.

The 'License code' field is incorrect.


Selecting Files

Before you can transfer files and/or folders you need to select the file and/or folders (items) you want to transfer. You can select items using the keyboard or the mouse. Items are selected in the local or remote list pane.

The following table summarizes the selection process. For further information read the detailed descriptions below.

Selection type | Mouse | Keyboard
Single item | Click on item | Up or down arrow key
Consecutive items | Click on first item Shift + click on last item | Up or down arrow key to the first item Shift + up or down arrow key to last item
Non-consecutive items | Ctrl + click on each item | Ctrl + up or down arrow key to position Ctrl + Space bar to select

Using the Mouse to Select Items

Select a Single Item

To select a single file or folder, left click on the file or folder in the list pane. The selected file or folder is highlighted.

Select Consecutive Items

To select consecutive files and/or folders, click the first item, press and hold down the Shift key, and then click the last item. All items from the first item to the last item are highlighted.

Select Non-consecutive Items

To select non-consecutive files and/or folders, press and hold down the Ctrl key, and click on each item you want to select. Each item you click on is highlighted.

Using the Keyboard to Select Items

Select a Single Item

To select a single file or folder, tab to the local or remote list pane. Use the up and down arrow keys on the keyboard to move from item to item. A single file or folder is selected each time you press the arrow key.

Select Consecutive Items

To select consecutive files and/or folders, use the up or down arrow key on the keyboard to move to the first item, press and hold down the Shift key, and use the up or down arrow key to select files. To turn selection off release the Shift key.

Select Non-consecutive Items

To select non-consecutive files and/or folders, press and hold down the Ctrl key, use the up and down arrow keys to move to the desired items and press the Space bar to select an item.


Transferring Files

When a session is connected to a remote host, files can be transferred in one of two directions. They can be "downloaded" from the remote host computer to your computer. Or, they can be "uploaded" from your computer to the remote host computer.

Downloading Files

1. Select the files or folders you wish to download from the remote host by highlighting them in the Remote List pane.

2. Ensure the download options are set correctly for the transfer.
3. Select Download from the Action menu or click the download button ToolbarDownload75p on the toolbar.

Uploading Files

1. Select the files or folders you wish to upload to the remote host by highlighting them in the Local List pane.

2. Ensure the upload options are set correctly for the transfer.

3. Select Upload from the Action menu or click on the upload button ToolbarUpload75p on the toolbar.

Drag and Drop

You can also "drag" selected files from the Remote File List pane to the Local File List pane and vice-versa.

1. Select the files or folders you wish to transfer by highlighting them in the Local or Remote List Pane.

2. Holding the left mouse button down, drag the files to the location in the Local or Remote List Pane where you want the files to be transferred. You can drag files to a sub-folder in the destination list pane.

3. Release the left mouse key to start the transfer.

See also:

Selecting Files

Using Quiet Queue Mode


Connecting to a Host Computer

1. Open the Host menu and select the Connect command or click the Connect button ToolbarConnect75p on the toolbar.

2. Select a previously saved session or fill in the Connect to Host dialog box .

3. Click Connect button.

Tips:

You may connect up to 10 sessions. See Working with Sessions for more information.

See Also:

Connecting for the First Time


Running SDI FTP from the Command Line

SDI FTP can be run from a windows command prompt. This allows you to run FTP operations from a batch (.bat) file or to schedule file transfers with the Windows Scheduler. The FTP.EXE program provides the command line interface. FTP.EXE runs SDI FTP in background.

The following command line parameters are available.

/Session session_name specifies the session to connect. Where session_name is the SDI FTP session name. If session_name contains embedded spaces, it must be enclosed in double quotes. For example:

/Session "SDI Web Site"

/Localdir folder_name specifies the name of the default local folder. Where folder_name is the local folder. If folder_name contains embedded spaces, it must be enclosed in double quotes. For example:

/Localdir "c:\FTP Files"

/Script script_name specifies a script to run after the session specified in "/Session" is connected. Where script_name is the name of the script. If script_name contains embedded spaces, it must be enclosed in double quotes. For example:

/Script "Sample Script.txt"

The following example illustrates how this facility may be used. Assume that you want to download a file called "data.txt". Assume the SDI FTP session name for connecting to this host is FTP1.

You will need two files to complete the operation. A batch file (Sample.bat) and a script file (sample.txt). They both can be created with notepad.

rem Sample.bat

rem This is the batch file that starts ftp.exe, the command line interface

"C:\Program Files\SDI\SDI FTP\bin\ftp.exe" /Session FTP1 /Script sample.txt

* sample.txt

* This is the SDI FTP script that contains the script commands to transfer the file.

* The "/Script sample.txt" parameter in the sample.bat file runs this script.

get data.txt

exit 0

Running Sample.bat at the command line prompt performs the file transfer without the SDI FTP window being displayed. This is a simple example. You could add logic to the batch file and start other programs to perform operations on the downloaded files(s). You could add logic to the script to upload or download other files or manipulate remote or local folders.


Scheduling File Transfers

You can use SDI FTP with the Windows Scheduler to schedule the transfer of files and/or folders on a regular basis. This can be a powerful tool if you need to transfer files on a daily or weekly basis. Scheduling file transfers eliminates the need to start them manually.

You will need to write an SDI FTP script with the upload or download instructions and then schedule a task to call the SDI FTP command line interface in the Windows Scheduler.

Here are step by step instructions.

1. Write a script that performs the file transfer. See the Get and Put script commands for sample scripts.

2. Test your script using the SDI FTP command line interface. For example, if your session name is Test Session, the local folder that you are transferring files from or to is C: and the script is called upload.txt, open a command prompt and enter:

"c:\program files\sdi\sdi ftp\bin\ftp.exe" /session "Test Session" /Localdir c: /script upload.txt

3. Once your script is working, you can use the Windows Scheduler to schedule it to run periodically.

Scheduling Your Script on Windows 7, 8 10, or 11

1. Start the Windows Vista Task Scheduler. (Start, All Programs, Accessories, System tools, Task Scheduler, Under Actions click on the Create Task link.)
2. In the Create Task dialog's General tab, fill in the desired name, description, and security settings.
3. In the Create Task dialog's Trigger tab, click on the New.. button to display the New Trigger dialog. Specify when your script should run.
4. In the Create Task dialog's Actions tab, click on the New.. button to display the New Action dialog. Click the Browse... button and select ftp.exe. (The default folder is c:\program files\sdi\sdi ftp\bin\.) Add the /session /localdir and /script switches in the Add Arguments (optional) edit box: /session "Test Session" /Localdir c: /script upload.txt.
5. In the Create Task dialog's Actions tab, specify the conditions that allow the task to run.
6. In the Create Task dialog's Settings tab, specify the settings for task behavior.
7. Click the OK button to schedule the task.

Scheduling Your Script on Windows XP and 2000.

1. Start the Windows Scheduler "Scheduled Task Wizard."

Windows XP (Start, All Programs, Accessories, System tools, Scheduled Tasks, double-click Add Scheduled Task)

Windows 2000 (Start, Programs, Accessories, System tools, Scheduled Tasks double-click Add Scheduled Task)

2. When you get to the "Click the program you want Windows to run" prompt, click the Browse... button to display the Select Program to Schedule dialog box and select ftp.exe. (The default folder is c:\program files\sdi\sdi ftp\bin\.)

3. When you get to the "You have successfully scheduled the following task: ftp" dialog box, check the "Open advanced properties for this task when I click Finish" check box and click the Finish button.

4. In the ftp dialog box, add the /session /localdir and /script switches in the Run edit box.

5. Click the OK button. Your task in now scheduled and should appear in the Scheduled Tasks dialog box.


Using Quiet Queued Mode

Normally when files are transferred the Copy Files dialog box is displayed giving the current status of the file transfer and estimated time remaining. No other work can be done in SDI FTP until the file transfer completes.

If the option to transfer in quiet, queued mode is selected on the appropriate Upload or Download Properties page, the progress dialog is not shown. Instead, the files are queued for transfer in the background, allowing the user to continue working with other sessions. The cursor in the session switches to the pointer + hourglass cursor indicating that a queue mode transfer is active. To view the current status of queued transfers, select Queues from the View menu.

You may want to use Quit Queue Mode if you have large file transfers to do from different FTP sites. For example, assume you wanted to download a large fix from Microsoft and a large software file from Download.com. Also assume that you are using a dial-up connection. If you start the Microsoft file transfer in Quiet Queued Mode you can switch to you Download.com session and start another file transfer. If you are not in Quiet Queued Mode you will have to wait until the download from Microsoft completed before you could start the download from Download.com.


Silent or Unattended Install

If you plan to install SDI FTP on a large number of workstations, you may want to automate the installation. A silent or unattended install allows you to install SDI FTP using a single command from the Windows command line.

Silent Install

The following command performs a silent install:

sdiftp.exe /s /v/qn

The silent install uses the following settings:

Install Application for | The application is installed for all users not just the current user.
Application Folder | c:\Program Files\SDI\SDI FTP
Application Data Folder | Windows 11/10/8/7: C:\Users\user_name\AppData\Roaming\SDI\SDI FTP\ Windows XP/2000/2003: C:\Documents and Settings\user_name\Application Data\SDISDI FTP \


Command Summary

Host Menu Command Summary

The Host menu contains the following commands:

New Create a new session.

Save Save your session settings.

Save As... Save your session settings with a new name. By using the "Save As..." command you can use an existing session as a template for a new session.

Connect Display the Connect to Host dialog box.

Disconnect Disconnect the current session. The connection to the host computer is terminated, but the session tab for the session remains available for reconnection.

Reconnect Reconnect the current session. You can reconnect a session that has been disconnected. You cannot reconnect a session that has been closed.

Close Disconnect the current session from the host computer and then close the current session.

Properties Display the properties (settings) for the current session.

Run Script Display the Select Script File Name dialog box. Select a script and click the Open button to run the script.

Trace Socket Turn TCP/IP socket tracing on or off.

Session Name Select from a list of recently opened sessions.

Exit Close any open sessions and exit SDI FTP.


New

Host, New

Use the New command to create a new session. The New command displays the New Session Setup dialog box. Fill in the dialog box with the required connection information and click the Connect button to connect your new session.

If you already have sessions defined, you may use an existing session as a template for your new session rather than creating a new session from scratch. See the Save as command for more information.

Shortcuts:

Standard Toolbar: ToolbarNew

Keyboard: Ctrl + N

See also:

Connecting for the First Time


Save

Host, Save

Use the Save command to save a newly created session.

Shortcuts:

Standard Toolbar: ToolbarSave

Keyboard: Ctrl + S

See also:

Connecting for the First Time


Save as

Host, Save As

Use the Save as command to save a session with a new name. This is an easy way of using an existing session as a template for a new session. Save the existing session with a new name. Then modify the new session to meet your needs.


Connect

Host, Connect

Use the Connect command to connect to a another computer. The Connect command displays the Connect to Host dialog box. You may select a session and click the Connect button to connect or you may modify session settings.

Shortcuts:

Standard Toolbar: ToolbarConnect

See also:

Connecting to for the First Time

Host, Disconnect

Host, Close


Disconnect

Host, Disconnect

Use the Disconnect command to disconnect a session. The TCP/IP connection is disconnected, but the session tab remains available and the remote tree and list panes remain displayed.

You can quickly reconnect the session using the Host, Reconnect command or you can initiate a file transfer and SDI FTP will automatically reconnect the session.

Use the Disconnect command when you plan to return to your session. If you are done with the session, use the Host, Close command and the session will be disconnected and its session tab and remote tree and list panes cleared.

Shortcuts:

Standard Toolbar: ToolbarDisconnect

See also:

Host, Reconnect

Host, Close


Reconnect

Host, Reconnect

Use the Reconnect command to reconnect a session that has been disconnected, but not closed.

Shortcuts:

Standard Toolbar: ToolbarReconnect

See also:

Host, Disconnect

Host, Close


Close

Host, Close

Use the Close command to disconnect a session and clear the session tab. When the session tab is cleared, that tab becomes available for use by another session. The remote tree pane and remote list pane are also cleared.

See also:

Host, Disconnect


Properties

Host, Properties

Use the Properties command to display the session settings for the currently active session.

Shortcuts:

Keyboard: Alt + enter


Run Script

Run Script command

Host, Run Script

 Return to Introduction

Use the Run Script command to run an SDI FTP script.

SDI FTP scripts are text files created in notepad or another text editor. Use scripts to automate file transfer operations that you perform over and over again.

Shortcuts:

Standard Toolbar: ToolbarRunScript

See also:

Script Language Syntax Definition

Script Command Summary


Trace Socket

Host, Trace Socket

Use this diagnostic command to trace socket activity. Normally you will not use this command unless requested to do so by SDI technical support.

Do the following if you wish to capture a socket trace:

1. Start SDI FTP

2. Start the trace.
· Open the SDI FTP Host menu and click on Trace Socket.

· In the Select Trace File Name dialog box, specify a name for the trace file and note the folder that it is in.

3. Connect to the host computer and recreate the problem.

4. Stop the trace. Open the SDI FTP Host menu and click on Trace Socket.

MenuHostTraceSocketStop50p

5. E-mail the trace file and a problem description to support@sdisw.com.


Session Name

Session Name command

Host, Session Name

 Return to Introduction

Use this command to connect a recently used session. The last 10 sessions are displayed in most recently to least recently used order on the Host menu just prior to the Exit command. Click on the session name to connect that session.


HostExit

Host, Exit

Exit SDI FTP. If one or more sessions are connected, you will be asked to confirm that you want the session to be closed.


Command Summary

Edit Menu Command Summary

The Edit menu contains the following commands:

Undo Negate the effect of the last operation.

Cut Delete the selected file(s) and/or folder(s) and moves them to the clipboard.

Copy Copy the selected file(s) and/or folder(s) to the clipboard.

Paste Initiate a file transfer of the file(s) and/or folder(s) currently held on the clipboard.

Delete Delete the selected file(s) and/or folder(s).

Rename Rename a file.

Properties Display file properties.

Select all files Select all files in the current folder.

Select All Select all files and folders in the current folder.


Undo

Undo command

Edit, Undo

 Return to Introduction

This command is not available yet.


Cut

Edit, Cut

Use the Cut command with the Paste command to move a file(s) and/or folders. For example, to move a file from your PC to the remote host, use the following steps:

1. In the local list pane, select the file you wish to move.

2. Open the Edit menu and select Cut.

3. In the remote list pane, select the folder you want to receive the file.

4. Open the Edit menu and select Paste.

5. The file is uploaded to the remote folder and deleted from your PC.

If you want to copy a file instead of moving the file, use the Copy command.

Shortcuts:

Standard Toolbar: ToolbarCut

Keyboard: Ctrl + X

Context Menu

See also:

Edit, Copy

Edit, Paste


Copy

Edit, Copy

Use the Copy command with the Paste command to copy a file(s) and/or folders. For example, to copy a file from your PC to the remote host, use the following steps.

1. In the local list pane, select the file you wish to copy.

2. Open the Edit menu and select Copy.

3. In the remote list pane, select the folder you want to receive the file.

4. Open the Edit menu and select Paste.

5. The file is uploaded to the remote folder.

If you want to move a file instead of copying the file, use the Cut command.

Shortcuts:

Standard Toolbar: ToolbarCopy

Keyboard: Ctrl + C

Context Menu

See also:

Edit, Cut

Edit, Paste


Paste

Edit, Paste

Use the Paste command to move or copy files placed on the clipboard by the Cut or Copy commands.

Shortcuts:

Standard Toolbar: ToolbarPaste

Keyboard: Ctrl + V

Context Menu

See also:

Edit, Cut

Edit, Copy


Delete

Edit, Delete

Use the delete command to delete the selected file(s) and/or folders. To use the delete command, select the file or folder you want to delete in the local list pane or the remote list pane. Open the Edit menu and select Delete. For files on your PC, a delete operation moves the file(s) and/or folder(s) to the Windows Recycle bin.

Shortcuts:

Standard Toolbar: ToolbarDelete

Keyboard: Del

Context Menu


Rename

Rename command

Edit, Rename

 Return to Introduction

Use the Rename command to rename a local or remote file or folder. For example, to rename sample.txt to example.txt use the following steps:

1. Select sample.txt.

2. Open the Edit menu and select Rename.

3. An edit box appears around the selected file.

4. Type the new name into the edit box and press enter.

Shortcuts:

Context Menu


Properties

Properties command

Edit, Properties

 Return to Introduction

Use the Properties command to display file properties. The Properties command displays the Windows File Properties dialog box for local files and the SDI FTP File Properties dialog box for remote files. The SDI FTP File Properties dialog box includes the file size, location and permissions.

Shortcuts:

Context Menu


Select all files

Select all files command

Edit, Select all files

 Return to Introduction

Use the Select all files command to select all the files in the current folder of the local or remote list pane. Use this command when you want to select all the files in a folder to perform an upload or download operation. This command does not select files in the subfolders of the current folder.

See also:

Edit, Select All


Select All

Edit, Select All

Use the Select All files command to select all the files and folders in the current folder of the local or remote list pane. Use this command when you want to select all the files and folders in a folder to perform an upload or download operation.

See also:

Edit, Select all files


Command Summary

Action Menu Command Summary

The Action menu contains the following commands:

Download Download the files and/or folders selected in the remote list pane to your PC.

Upload Upload the files and/or folders selected in the local list pane to the remote host.

Set Transfer Mode Set the transfer mode for the current session.

Toggle PASV mode Turn PASV (passive) mode on or off.

Command Send an FTP command directly to the host computer.

Run Open the selected application or file.

View View the selected file(s) using the viewing application.

Stop Cancel the current file transfer operation.

Change Folder Switch to a new folder without navigating through the directory tree.

New Folder Create a new folder in the currently selected folder in the list pane.


Download

Action, Download

Use the Download command to download files and/or folders selected in the remote list pane. The files are copied from the remote host into the current folder on your PC.

Shortcuts:

Standard Toolbar: ToolbarDownload

Keyboard: Ctrl + D

See also:

Action, Upload

Action, Set transfer mode


Upload

Action, Upload

Use the Upload command to upload files and/or folders selected in the local list pane to the remote host.

Shortcuts:

Standard Toolbar: ToolbarUpload

Keyboard: Ctrl + U

See also:

Action, Download

Action, Set transfer mode


Set transfer mode

Action, Set transfer mode

Use the Set transfer mode command to set the file transfer mode. The following modes are available:

Automatic Selects binary or ASCII mode based on the file type of the file. If the file type is listed in the ASCII mode file extensions list, the transfer is made in ASCII (text) mode otherwise the transfer is made in binary mode.

Binary Transfers files in binary mode. Use this mode for non-text files like images, applications (.exe), and word processing files.

Text Transfers files in ASCII mode. Use this mode for text-only files. This mode converts the line-feed characters that appear at the end of lines in text files to allow for the differences in format between different operating systems when uploading or downloading files.

Shortcuts:

Standard Toolbar: ToolbarTransferMode

Context Menu


Toggle Passive (PASV) mode

Action, Toggle Passive (PASV) mode

Use the Toggle Passive (PASV) mode command to change from Active mode to Passive mode or Passive mode to Active mode.

The FTP protocol uses two ports, a control port and a data port.

In active mode the client initiates the connection to the server control port and the server initiates the connection to the client data port.

In passive mode (PASV) the client initiates the connection to both the control port and the data port.

Active mode

command port : client to server

data port: server to client

Passive mode

command port: client to server

data port: client to server

The proper mode depends upon firewall and FTP servers settings. If active mode fails, try your connection in passive mode.

Shortcuts:

Standard Toolbar: ToolbarPasv


Command

Action, Command

Use the Command command to send an FTP command directly to the server. The command is sent verbatim without any interpretation. A one line response is expected. Use this command if the FTP server supports custom commands not available in SDI FTP.

When you click this command, the Send Command dialog box is displayed. Enter your command in the command edit box and click the OK button to send the command. The command edit box contains a drop-down list of recently used commands for easy access to previously issued commands.

Shortcuts:

Standard Toolbar: ToolbarCommand


Run

Action, Run

Use the Run command to open the selected application(s) or file(s). When the selected file is a remote file, the file is downloaded to the SDI FTP temporary folder and then opened.

If the file is an application, the application is executed. If the file is a data file, it is opened with the associated application. For example, a ".doc" file is opened with Microsoft Word.

Shortcuts:

Standard Toolbar: ToolbarRun

Context Menu


View

Action, View

Use the View command to open the selected file(s) in the Windows Notepad application. When the selected file is a remote file, the file is downloaded to the SDI FTP temporary folder and then opened.

Shortcuts:

Standard Toolbar: ToolbarViewOpen

Keyboard enter

Context Menu


Stop

Action, Stop

Use the Stop command to stop a file transfer that is in progress. The stop command is only needed with the "Use quiet, queued mode" option set for the upload or download. When the "Use quiet queued mode" option is not set, an active file transfer must be cancelled used the Cancel button in the Copy Files dialog box.

Shortcuts:

Standard Toolbar: ToolbarStop

Keyboard escape


Change folder

Action, Change folder

Use the Change Folder command to switch to a new folder without navigating through the directory tree. The change folder command displays the Change Folder dialog box. Enter the new path into the Change Folder dialog box and click the OK button.

The remote path must be relative to the FTP root folder. For example:

\folder\subfolder

The local path must be the full qualified path. For example:

c:\folder\subfolder


New folder

Action, New folder

Use the New Folder command to create a new folder in the current folder. The New Folder command creates a folder named "New Folder" (local list pane) or "Folder" (remote list pane) and opens an edit box around it. Type the desired name and press Enter to complete the folder creation.

Shortcuts:

Standard Toolbar: ToolbarNewFolder

Context Menu


Command Summary

View Menu Command Summary

The View menu contains the following commands:

Output Log Show or hide the output log window.

Status Bar Show or hide the status bar.

Toolbar Show or hide the toolbar.

Arrange Icons Arrange entries in the local or remote list pane.

Large Icons Display the entries in the local or remote list pane in large icon format.

Small Icons Display the entries in the local or remote list pane in small icon format.
List Display the entries in the local or remote list pane in list format.

Detail Display the entries in the local or remote list pane in detail format.

Refresh Refresh the contents of the currently selected pane.

Log Files Show the log files in the log files folder.

Queues Show the current status of file transfer queues.

Synchronize Synchronize local and remote folders.

Preferences Change application behavior.

Session Change the view to another active session.


Output Log

View, Output Log

Use the Output Log command to show or hide the output log pane.

The Output Log pane shows the FTP commands and responses to and from the host computer for the currently active session. Each line appears in a different color as follows:

Green FTP commands sent to the remote host
Blue Normal responses and messages received from the remote host
Red Error messages received from the remote host
Black Status or informational messages generated by SDI FTP


Status Bar

View, Status Bar

Use the Status Bar command to show or hide the status bar.

The status bar contains the following fields.

Field Description

Message area This area contains messages to help you use SDI FTP.

Restart indicator Displays "Restart" when the host supports FTP file restart.

PASV This field displays "PASV" when the session is in passive mode and is blank when the session is in active mode.

Transfer Mode Displays "Auto", "Binary" or "Text" indicating the current file transfer mode.

Byes transferred Displays the number of bytes transferred by the last file transfer operation.


Toolbar

View, Toolbar

Use the Toolbar command to show or hide the toolbar. Use the toolbar for quick access to commonly used commands.

Customize

You can customize the toolbar. Right click on the toolbar to display the Customize Toolbar dialog box. Use the Customize Toolbar dialog box to add, remove or reorder the toolbar buttons.

Button Summary

ToolbarNew | New | Create a new session.
ToolbarSave | Save | Save your session settings.
ToolbarConnect | Connect | Display the Connect to Host dialog box.
ToolbarDisconnect | Disconnect | Disconnect the current session.
ToolbarReconnect | Reconnect | Reconnect the current session.
ToolbarRunScript | Run Script | Run a script.
ToolbarCut | Cut | Delete the selected file(s) and/or folder(s) and move them to the clipboard.
ToolbarCopy | Copy | Copy the selected file(s) and/or folder(s) to the clipboard.
ToolbarPaste | Paste | Initiate a file transfer of the file(s) and/or folder(s) currently held on the clipboard.
ToolbarDelete | Delete | Delete the selected file(s) and/or folder(s).
ToolbarDownload | Download | Download the files and/or folders selected in the remote list pane to your PC.
ToolbarUpload | Upload | Upload the files and/or folders selected in the local list pane to the remote host.
ToolbarViewOpen | View | View the selected file(s) in the viewing application.
ToolbarCommand | Command | Use this dialog to send an FTP command directly to the host computer.
ToolbarRun | Run | Open the selected application or file.
ToolbarTransferMode | Set Transfer Mode | Set the transfer mode for the current session.
ToolbarPasv | Toggle PASV mode | Turn PASV (passive) mode on or off.
ToolbarStop | Stop | Cancel the current file transfer operation.
ToolbarNewFolder | New Folder | Create a new folder in the currently selected folder in the list pane.
ToolbarRefresh | Refresh | Refresh the contents of the currently selected pane.
ToolbarViewLogFiles | Log Files | Show the log files in the log files folder.
ToolbarSynchronize | Synchronize | Synchronize local and remote folders.


Arrange Icons

View, Arrange Icons

Use the Arrange Icons command to sort entries in the local or remote list pane by name, origin (for the Recycle bin), size, type or date, in ascending or descending order.

This command is only available when a list pane has focus and the command only affects the list pane with focus. For example, if the local list pane has focus, only the items in the local list pane are sorted. The remote list pane remains unchanged.

When the list pane is in detail view, you can sort by the column entries by clicking the column heading.

See Also:

Windows and Panes


Large Icons

View, Large Icons

Use the Large Icons command to change the local or remote list pane to the large icon view. The large icon view shows a large icon and the file or folder name.

This command is only available when a list pane has focus and the command only affects the list pane with focus. For example, if the local list pane has focus, only the items in the local list pane are changed to the large icon view. The remote list pane remains unchanged.

See Also:

Windows and Panes


Small Icons

View, Small Icons

Use the Small Icons command to change the local or remote list pane to the small icon view. The small icon view displays a small icon and the file or folder name.

This command is only available when a list pane has focus and the command only affects the list pane with focus. For example, if the local list pane has focus, only the items in the local list pane are changed to the small icon view. The remote list pane remains unchanged.

See Also:

Windows and Panes


List

View, List

Use the List command to change the local or remote list pane to the list view. The list view displays a small icon and the file or folder name. Items are displayed in vertical columns.

This command is only available when a list pane has focus and the command only affects the list pane with focus. For example, if the local list pane has focus, only the items in the local list pane are changed to the list view. The remote list pane remains unchanged.

See Also:

Windows and Panes


Detail

View, Detail

Use the Detail command to change the local or remote list pane to the detail view. The detail view displays the following fields.

Name The file or folder icon and name.
Size The file size. (Not displayed for folders)
Type The file type. ("File Folder" is displayed for folders.)
Modified The date the file or folder was last modified.

This command is only available when a list pane has focus and the command only affects the list pane with focus. For example, if the local list pane has focus, only the items in the local list pane are changed to the detail view. The remote list pane remains unchanged.

Columns is the detail view may be resized by hovering the mouse over the column heading separator and dragging it to make the column larger or smaller.

See Also:

Windows and Panes


Refresh

View, Refresh

Use the Refresh command to refresh a the remote list pane after file manipulation.

Set the Automatic refresh option to automatically refresh the remote list pane any time it is updated.

(Host, Properties, Options tab, "Automatic refresh" check box) or

(Host, Connect, Advanced... button, Options tab, "Automatic refresh" check box).

Shortcuts:

Standard Toolbar: ToolbarRefresh

Keyboard: F5

remote


Log Files

View, Log Files

Use the Log Files command to see a list of your log files. The log files contain everything that appears in the output log pane. A separate log file is created for each session. The log file is closed when the session is closed.

The Log Files command displays the Log Files dialog box. The buttons in the Log Files dialog box perform as follows:

Open Open the selected log file(s) in Notepad.
Delete Delete the selected log file(s).
Delete All Delete all the log files.
Close Close the Log Files dialog box.

Select a single log file from the list box by clicking on it. Select consecutive files from the list box by clicking the first file, pressing and holding down Shift key, and then clicking the last file.

Select non-consecutive files by pressing and holding down the Ctrl key and clicking on each file.

Shortcuts:

Standard Toolbar: ToolbarViewLogFiles

Keyboard: F5


Queues

View, Queues

Use the Queues command to view the file transfer queue. File transfer operations are placed in a queue and run in background when the "Use quiet, queued mode" option is set on. The "Use quiet, queued mode" option may be set on for uploads and/or downloads. See the Upload tab or the Download tab in the session Properties (Host, Properties) or Session Setup (Host, Connect, Advanced button) dialog boxes.

The Queues command displays the Queues dialog box. The Queues dialog box lists the number of files in the queue for each session.


Synchronize

View, Synchronize

Use the Synchronize command to display the Compare / Synchronize pane for a session. From this pane you can compare and synchronize a local folder with a remote folder. This powerful tool allows you to quickly and easily move new or updated files from your PC to a remote site or vice versa.

For example, if you are maintaining a web site and have made numerous changes on your PC and want to upload the changed files to your web hosting site, the Synchronize feature will determine what files have been updated and upload them for you.

Synchronize Pane Settings

Compare / Synchronize Direction

Compare / Synchronize remote folder to local folder (upload) - Use this option to update a remote folder with files from a folder on your PC.

Compare / Synchronize local folder to remote folder (download) - Use this option to update a folder on your PC with files from a remote folder.

Compare remote and local folders (upload and download) - Use this option to update both the folder on your PC and the remote folder.

Local Folder The current local folder. This is the folder on your PC that will be used for the compare and/or synchronize operation.

Remote Folder The current remote folder. This is the remote folder that will be used for the compare and/or synchronize operation.

Options

Include sub-folders Check this option to include subfolders of the local folder and remote folder in the compare and/or synchronize operation.

Ignore case Check this option to treat file or folder names that are spelled the same, but in different case as equal. For example, "SDI" would be treated as equal to "sdi" and "Sdi".

Transfer smaller files Check this option to have smaller files replace larger files.
Transfer larger files Check this option to have larger files replace smaller files.

Transfer older files Check this option to have older files replace new files.

Transfer more recent files Check this option to have newer files replace older files.

Buttons

Compare Click the Compare button to compare the local and remote folder. Using the option specified, compare lists all the changes required to synchronize the local and remote folders. Review the results of the compare operation prior to clicking the synchronize button to make the updates.

Synchronize Click the Synchronize button to transfer the files and folder listed by the compare operation.

Cancel Click the Cancel button Return to the standard view without transferring any files.

Shortcuts:

Standard Toolbar: ToolbarSynchronize


Preferences

View, Preferences

Use the Preferences command to change program behavior. The Preferences command displays the Program Options dialog box. You will find the following settings.

General Tab

E-mail address The e-mail address is used to fill in the password field for anonymous connections. For example, if you open the Host menu and select New, then click in the Anonymous check box, the User Name edit box is set to "anonymous" and the Password edit box is filled in with the e-mail address from this field.

Show Connect Dialog at Startup Checked this box to display the Connect to Host dialog box at startup. This allows you to select a session and click the Connect button to connect the session. If you have one or more sessions with the Connect at startup option set (Host, Connect, Advance button, Host tab, Connect at startup), you may not want the Connect to Host dialog box to appear at startup.

Show Standard Toolbar Check this box to display the standard toolbar. Click the Customize button to display the Customize Toolbar dialog box and modify the contents of the toolbar.

"View" Application Specify the application for file viewing. This application is called when you specify the View command in the Action menu or the file context menu. The default application is notepad.exe. To select a different application, click the ... button and locate the new application.

File Types Tab

ASCII mode file extensions: The ASCII mode file extensions are used when the file transfer mode is set to Automatic. (Action, Set transfer mode, Automatic). Files with the extensions in this list are transferred in text mode. All other files are transferred in binary mode. New entries can be added by typing the file extension in the edit box and clicking the Add button. To delete an entry, highlight it in the list box and click the Remove button. To reset the list to the default setting, click the Defaults button.

Folders Tab

Log Files: Specify a folder for storing log files.

Queues: Specify the folder for storing file transfer queues.

Script Files: Specify the folder for script files.

Session Profiles: Specify the folder for storing session profiles.

Temporary Files: Specify the folder for storing temporary files.


Session

View, session name

Use this command to select a session to display. All active sessions are listed at the bottom of the View menu. The currently displayed session is preceded by a check mark. Click another session name to display the other session.


Command Summary

Help Menu Command Summary

The Help menu contains the following commands:

Help Topics Display the Table of Contents for this help file.

About SDI FTP... Display the version number and build date of the application and current licensing information.


Help Topics

Help, Help Topics

Use the Help Topics command to displays the table of contents for the help file. This command also gives you access to the help index and the help find function.


About SDI FTP...

Help, About SDI FTP...

 Return to Introduction

Use the About SDI FTP ... command to display the version number and build date of the application and the current licensing information.

Click the License... button to display or modify your license code.

See Also:

Entering Your License Code


Context Menu Command Summary

The SDI FTP context menu offers access to commonly used commands. Right-click on a file or folder in one of the tree or list panes to open the context menu. Then click on a command in the context menu. File or folder specific commands work only on the file or folder you right-clicked on.

The context menu contains the following commands.

View View the selected file in the viewing application.

Run Open the selected application or file.

Download Download the files or folder selected in the remote list pane to your PC.

Upload Upload the file or folder selected in the local list pane to the remote host.

Binary Transfers files in binary mode. Use this mode for non-text files like images, applications (.exe), and word processing files.
Text Transfers files in ASCII mode. Use this mode for text-only files. This mode converts the line-feed characters that appear at the end of lines in text files to allow for the differences in format between different operating systems when uploading or downloading files.

Cut Delete the selected file or folder and moves it to the clipboard.

Copy Copy the selected file or folder to the clipboard.

Paste Initiate a file transfer of the file or folder currently held on the clipboard.

Delete Delete the selected file(s) and/or folder(s).

Rename Rename a file.

Properties Display file properties.

New Folder Create a new folder in the currently selected folder in the list pane.


Script Language Syntax Definition

The syntax descriptions of the script commands use the following notational conventions:

1. Magenta colored words are replaced by user input.

2. Blue colored symbols are part of the syntax definition and are not included in the command.

3. The following symbols are part of the command and should be entered exactly as they appear in the command format:

: colon

" double quotation marks

4. Square brackets [ ] indicate an optional parameter and are not included in the command.

5. Braces { } are used with the vertical bar | to indicate choices between two or more mutually exclusive items and are not included in the command.

6. Words starting in column one and beginning with a colon : are labels. Label names are case sensitive.

7. Lines starting with an asterisk * in column one are treated as comments.

Each line in a script file contains a command in the following format:

command [parameter1 [parameter2 parameter3,...parametern]] comment

The command indicates the function to perform and the parameter(s) provide the data needed for the function. Anything following white space after the last parameter on each line is a comment.

The command is not case sensitive, so it may appear in any combination of upper and lower case. Any blanks or tabs between the command and the first parameter are ignored.

Comment lines can be added to script file by placing an asterisk (*) in column one. For example:

* -------------------------------------------------------------------

* These three lines are comments

* -------------------------------------------------------------------


Script Command Summary

The following is a list of script commands.

Command Description
! Issue a command in the Windows environment.

? Display a list of valid script commands.

ASCII Set ASCII (text) mode for file transfer.

Auto Set automatic mode for file transfer.

Binary Set binary mode for file transfer.

Cd Change the current folder on the remote computer.

Close Close the current session.

Delete Delete a file on the remote computer.

Dir Display the contents of the current folder on the remote computer.
Disconnect Disconnect from the remote computer.
Exit Exit from SDI FTP.
Get Download a file from the remote computer.
Goto Jump to a label in the script file.
Help Display help information on script commands.
If Evaluate a condition and execute a script command if true.

Lcd Change the current folder on the local computer.
Literal Send a command to the remote computer.
Ls List the contents of the current folder on the remote computer.
Mkdir Create a new folder on the remote computer.
Put Upload a local file to the remote computer.
Quit Close the current session and exit the application if no other sessions are active.
Rename Rename a file or folder on the remote computer.
Rmdir Delete a folder on the remote computer.
Set Set prompts on or off for delete and replace operations.


Keyboard Shortcuts

Although operating SDI FTP is considerably easier with a mouse, all the normal functions can be carried out using a standard keyboard.

Function Keyboard Shortcut
Copy Ctrl + c
Create a new session Ctrl + n
Cut Ctrl + x
Display session settings Ctrl + enter
Download file Ctrl + d
Paste Ctrl + v
Save a session Ctrl + s
Select consecutive files Alt + Up or Down arrows
Select non-consecutive files Ctrl + Up or Down arrow. Press the Space bar to select a file
Switch panes Tab or Backtab
Stop upload or download Esc
Upload file Ctrl + u


FAQ (Frequently Asked Questions)

This section contains frequently asked questions and answers. SDI also maintains an FAQ page on our web site that may have updates that were created after this help file was published, so if you do not find the answer to your question here please check the following web site page:

http://www.sdisw.com/ftp/faq.htm


Error: could not locate host

This message is normally caused by one of the following:

1. You are not connected to the Internet. You must make your connection to the internet before using SDI FTP to connect to a host computer. If you are an America Online (AOL) user, you must connect to AOL and login before trying to connect using SDI FTP.

2. If the IP address in the message is incorrect, then you have the wrong "Host Name:" in the SDI FTP Connect to Host dialog box.

3. There is a problem on the Internet and currently there is no route to the host computer. Try again later.
4. You have the incorrect port number specified in the Connect to Host dialog box.

6. The domain name in the Connect to Host dialog box could not be translated to an IP address.

7. If you are using WinGate to share a modem between computers, you must specify the WinGate IP address (normally, 192.168.0.1) in the "Host Name:" edit box in the SDI FTP "Connect to Host" dialog instead of the host computer IP address or name.


Error: failed to connect

This error is caused by one of the following:

1. You are attempting to connect to an Internet host address and your computer is not connected to the Internet.

2. You have the incorrect IP address or domain name specified in Host Name edit box in the Connect to Host dialog box.

3. You have the incorrect port number specified in the Connect to Host dialog box.

4. The FTP server at the host site is down.

Try pinging the host computer to see if it is responding. You can do this from the MS-DOS command prompt by entering "ping hostname" or "ping IP address" on the command line. If Ping times out, there is a problem at the host. Talk to a network administrator at the host site and see if they can help you.


The 'Licensed to' field is incorrect

The name in the "Licensed to" name does not match the name encrypted into the license code. The "Licensed to" name is incorrect or contains a typographical error.

1. The "Licensed to" name is case sensitive make sure all letters are in the correct case.

2. Make sure the "Licensed to" name has the correct number of spaces.

3. The "Licensed to" name and license code are issued in pairs. The "Licensed to" name must correspond to the license code you received.


The 'License code' field is incorrect

The 'License code' files contains a typographical error. Make sure the license code is all in upper case and that all the characters are correct.


The license code is not valid for this release

The license code you entered is for an older release of SDI FTP.

The license code is generated for a specific release and will not function with newer releases of SDI FTP. (How else could we get you to pay for upgrades?)

The product release level is three digits separated by periods, for example, 2.3.0. The license code only checks the first two digits, so a license code created for 2.3.0 will work with releases 2.3.1 through 2.3.9. However, if you try to use it with release 2.4.0 or higher you will get the above error message.

If you have purchased a maintenance contract, upgrades are free. Send an e-mail to sales@sdisw.com with your current "licensed to" name and the new SDI FTP release level and you will be e-mailed a license code for the new release.

If you do not have a maintenance contract, you may purchase an upgrade or you may download the release level that works with your license code. Product downloads can be found on the Customer Downloads page of our web site.


active mode

An FTP connection can be made in Active mode or Passive mode. The difference between the two is how the data port connection is negotiated. The FTP protocol uses two ports, a control port and a data port. When you specify the SDI FTP port number you are specifying the control port number. The data port number is negotiated between SDI FTP and the FTP server.

In active mode, the client initiates the connection to the server control port and the server initiates the connection to the client data port.

In passive mode (PASV), the client initiates the connection to both the control port and the data port.

Active mode

command port : client to server

data port: server to client

Passive mode

command port: client to server

data port: client to server

The proper mode depends upon firewall and FTP servers settings. If active mode fails, try your connection in passive mode.


command prompt

A command prompt window lets you enter command-line commands. SDI FTP provides ftp.exe which is a command line program interface. Using ftp.exe, it is possible to perform file transfer operations within your own batch programs. It is also possible to schedule file transfer operations using the Windows Scheduler.

To open a command prompt window:

Windows XP & Vista Start, All Programs, Accessories, Command Prompt
Windows 2000 & NT Start, Programs, Accessories, Command Prompt
Windows ME, 98 & 95 Start, Programs, MS-DOS Prompt
DialogCommandPrompt75p


Connect To Host Dialog Box

Host, Connect

Use the Connect to Host dialog box to:

1. Connect the selected session. Select the session you want to connect from the session name drop-down list box and click the Connect button.

2. Modify a session. Click the down arrow on the session name drop-down list box to select a session. Type over any fields you want to modify.

3. Create a new session using the selected session as a template. Select the session you want to use as a template from the session name drop-down list box. Type your new session name over the selected session name and type over any other fields you wish to modify. Your existing session remains unmodified.

Session Name Enter a descriptive name for your session. You will use the session name to refer to this tailored session for future connections. Click the down arrow on the session name drop-down list box to select a session.

Host Name Enter the domain name or IP address of the computer you want to connect to.

FTP Port Enter FTP connection port number . This is usually 21.
Host Type: Specify the operating system running on the host computer. Specify "Auto detect" and SDI FTP sends the SYST command to the host computer to determine the operating system. This is the preferred selection. If the host computer, rejects the SYST command, select the appropriate host operating system from the list.

User Name Enter your user name.

Anonymous Check Anonymous if the host computer allows a user name of "anonymous" to log in. When this box is initially selected, the password will be filled with your email address from the Program Options dialog box. (View, Preferences, General tab, E-mail address)

Password Enter your password.

Prompt Check Prompt if you want to be prompted for your password when you connect. If prompt is not specified, the password in the password edit box is automatically passed to the host during the connection process.

Buttons

Connect Connect the selected session.

Advanced Display the Session Setup dialog box so you can modify the advanced settings for your session. For most connections, you do not need to modify the advanced settings.

Cancel Exit the dialog box without saving any of your changes.

Help Display this help topic.

See also:

Connecting to a Host Computer for the First Time

Connect command

Disconnect command

Close command


Default FTP Client Dialog Box

The default FTP client box appears at SDI FTP startup. If you select SDI FTP as your default FTP client, SDI FTP is started and connected to the server when you click on FTP hyperlinks on web pages (For example, ftp://ftp.intel.com).

Click the Yes button to make SDI FTP your default FTP client. The default FTP client for Windows is Internet Explorer.

Click the No button leave your existing default FTP client.

Check "Do not show this warning again" to prevent this dialog box from being displayed.


Evaluation Version Versus Licensedl Version

Evaluation Version Versus Licensed Version

The evaluation version will run for 30 days. After 30 days the evaluation version will no longer run. To convert the evaluation version into a licensed version, you must register the product and receive a license code from SDI. See the registration form included in this help file.


Customize Toolbar Dialog Box

Right click on the toolbar

Use the Customize Toolbar dialog box to modify the toolbar to fit your needs.

Step by Step Instructions for Using the Customize Toolbar dialog box

1. To add a button to the toolbar, select a button from the Available toolbar buttons list box and click the Add -> button.

2. To remove a button from the toolbar, select a button from the Current toolbar buttons list box and click the <- Remove button.

3. To reposition a button on the toolbar, select a button from the Current toolbar buttons list box and click the Move Up or Move Down button.

4. To return to the toolbar the state it was in when the dialog box was opened, click the Reset button.

6. When your changes are complete, click the Close button to save your changes.

Tips:

Changes to the toolbar affect all sessions not just the current session.

See Also:

Toolbar command


File Properties Dialog Box

Edit, Properties

The File Properties dialog box contains the following fields:

File name edit box The file name edit box contains the name of the file. You may type a new name in this edit box to rename the file.

Location The location of the file relative to the FTP server root folder.

Size The size of the file.

Modified The date the file was last modified.

Permissions The file permissions for the file.

Numeric The numeric representation of the file permissions.

This version of the File Properties dialog box applies to remote files. The standard windows file Properties dialog box is displayed for local files.


New Session Setup Dialog Box

Host, New

Use the New Session Setup dialog box to create a new session.

Session Name: Enter a descriptive name for your session. You will use the session name to refer to this tailored session for future connections.

Host Name: Enter the domain name or IP address of the computer you want to connect to.

FTP Port: Enter FTP connection port number . This is usually 21.

Host Type: Specify the operating system running on the host computer. Specify "Automatic detect" and SDI FTP sends the SYST command to the host computer to determine the operating system. This is the preferred selection. If the host computer, rejects the SYST command, select the appropriate host operating system from the list.
User Name: Enter your user name.

Anonymous: Check Anonymous if the host computer allows a user name of "anonymous" to log in. When this box is initially selected, the password will be filled with your email address from the Program Options dialog box. (View, Preferences, General tab, E-mail address)

Password: Enter your password.

Prompt: Check Prompt if you want to be prompted for your password when you connect. If prompt is not specified, the password in the password edit box is automatically passed to the host during the connection process.

Account: The account to use to log on to the host computer.

Buttons

Connect Connect your session.

Advanced Display the Session Setup dialog box so you can modify the advanced settings for your session. For most connections, you do not need to modify the advanced settings.

Cancel Exit the dialog box without saving any of your changes.

Help Display this help topic.

See Also:

Connecting for the First Time


Session Setup Dialog Box

Host, Properties

Host, Connect, Advanced button

 Return to Introduction

Use the Session Setup dialog box to configure your connection. The Session Setup dialog box has the following tabs:

Host Specify the host computer connection options.

Options Specify the default local and remote folders and an optional script file.

Connection Specify the timeout value and the connection mode.

Firewall Set options to connect to a host via a firewall or proxy server.

Download Set file download options.

Upload Set file upload options.


Session Setup (Connection tab)

Host, Properties, Connection tab

Use the following options to define how SDI FTP should connect to the host computer:

Connection Timeout: Assume a connection attempt has failed if the connection is not complete before this interval expires.

Retry: The number of times to retry a failing connection.

Data Transfer Timeout: Assume an inactive data transfer has failed after this interval expires.

Keep Alive Interval Specify a keep alive interval in seconds. A keep alive command is sent to the host each time this interval expires. Use this command to prevent idle timeouts. If a keep alive interval of zero is specified, a keep alive command is never sent.

Passive Mode: Check "Use Passive Mode" to make connections in passive mode (PASV) rather than active mode. Use passive mode to avoid conflicts with some proxy servers or firewalls. In active mode, SDI FTP opens a command port connection to the FTP server and the FTP server opens a data port connection to SDI FTP. Some firewalls or proxy servers will block attempts from an outside source (the FTP server) to open a connection to an internal client (SDI FTP). In passive mode, all connections are opened from SDI FTP to the FTP server. You should only set this option on, if you are having problems making a connection.

SSL Support: Select the desired SSL option. "No SSL" is the default.

Display Server Certificate when connected: (Optional) If this option is checked, SDI FTP displays the SSL server certificate details and allows you to accept or reject the certificate.


Session Setup (Firewall tab)

Host, Properties, Firewall tab

Use the following options to define how SDI FTP should interface with your firewall.

Use default settings for this computer: Use the default settings for your computer as specified in your Windows Internet Settings. (Start, Settings, Control Panel, Internet Options, Connections tab, LAN settings button, Proxy Server section)

Type: Specifies the format used to pass the user name to the firewall or proxy server.

None pass the user name from this dialog with no changes.

Userid@hostname pass in Userid@hostname format. Where "Userid" is the user name and "hostname" is the domain name or IP address of the FTP server.

User after logon Logon to the firewall using the User Name and Password from this dialog. After the firewall login completes, send User@hostname to the FTP server.

Proxy Server Name or IP Address: The domain name or IP address of the proxy server or firewall.

Port The port number to use for communication with the firewall.

User Name: The user name to pass to the firewall or proxy server.

Password: The password to pass to the firewall or proxy server.

Prompt: Select prompt if you want to be prompted for your password when you connect. If prompt is not specified, the password in the password edit box is automatically passed to the host during the connection process.
Save password: Select save password if you want SDI FTP to save the password so that you do not need to reenter it each time you connect the session. The password is encrypted and stored in the session profile. If you do not select save password, the password is not saved and you need to reenter it each time you want to connect the session.


Session Setup (Host tab)

Host, Properties, Host tab

Use the following options to specify the host computer:

Session Name: Use the session name to refer to this tailored session for future connections.

Host Name: Enter the domain name or IP address of the host computer.

FTP Port: Enter the FTP control port number. This is normally 21.
Host Type: Specifies the operating system running on the host computer.

User Name: The user name to use to log on to the host computer.
Password: The password to use to log on to the host computer.

Anonymous: Select anonymous login if the host computer allows a user name of "anonymous" to log in. When this box is initially checked, the User Name edit box is filled in with "anonymous" and the Password edit box is filled with your email address from the Program Options dialog box. (View, Preferences, General tab)

Prompt: Select prompt if you want to be prompted for your password when you connect. If prompt is not specified, the password in the password edit box is automatically passed to the host during the connection process.
Save password: Select save password if you want SDI FTP to save the password so that you do not need to reenter it each time you connect the session. The password is encrypted and stored in the session profile. If you do not select save password, the password is not saved and you need to reenter it each time you want to connect the session.

Administrators: If you want to prevent users from saving their password, you can remove the "Save password" check box from this dialog by specifying one of the following DWORD registry keys:

HKEY_CURRENT_USER\Software\SDI\TN3270 Plus\FTP\Settings\SavePasswordAllowed = 0
HKEY_LOCAL_MACHINE\Software\SDI\TN3270 Plus\FTP\Settings\SavePasswordAllowed = 0

Account: The account to use to log on to the host computer. (Not always needed.)

Connect at Startup Check this option to automatically connect the session every time SDI FTP is started.


Session Setup (Options tab)

Host, Properties, Options tab

The following options can be set:

Local Folder: Specifies the local folder to be displayed in the lower left-hand pane on initial connection to the host. Specify the full path to the folder or use the Browse button to select the local folder.

Last Opened Folder: SDI FTP saves the name of the folder open in the local list pane when the session is closed. SDI FTP displays this folder the next time the session is connected.

File Filter Specify a file filter to display a subset of files and/or folders in the local tree and list panes. For example "*.htm". The file filter is also displayed in the local file filter edit box in the SDI FTP window.

Remote Folder: Specifies the folder on the remote host which will be opened in the lower right-hand pane following initial connection to the host.

Last opened folder: SDI FTP saves the name of the folder open in the remote list pane when the session is closed. SDI FTP displays this folder the next time the session is connected.

Use index.txt: Check this option if you want SDI FTP to use the index.txt file.

Automatic Refresh Check this option to automatically refresh the remote list pane after you complete an operation that updates the remote folder (file transfer, rename or delete). If this option is not checked, you must update the folder manually (View, Refresh or F5) to see updated folder contents.

File Filter Specify a file filter to display a subset of files and/or folders in the remote tree and list panes. For example "*.htm". The file filter is also displayed in the remote file filter edit box in the SDI FTP window.

Script File: The name of a script file to be run following a successful initial connection to the remote host. Specify the full path to the file or use the Browse button to select the file.

See Also:

Windows and Panes


Session Setup (Upload tab)

Host, Properties, Upload tab

Use the following options to define how SDI FTP should connect to the host computer:

Transfer sub-folders: If a folder is selected for upload, all the files in folders which are contained in that folder are uploaded as well. The folder structure on the local computer is replicated on the remote computer.

Use quiet, queued mode: If this option is set, no progress dialog is displayed and files are uploaded in background. This allows you to continue working in other sessions while file transfer takes place. See Using Quiet Queued Mode for more information.

Upload more recent files: Only files which do not exist on the host computer or have a modification date which is later than that on the host computer are uploaded.

Overwrite Existing Files: If this option is set, when a file being transferred exists on the target computer, it is automatically replaced by the new file. If this option is not set, a dialog box asks you if you want to replace the file.

Ignore errors: If any error occurs, it is ignored and the file currently being uploaded is skipped.

Use generated short names: Files stored on the host computer are renamed according to DOS 8.3 conventions. For example, a file on the remote local computer named "Sort Work File.wrk" is stored in a file called "SortWo~1.wrk" when it is uploaded to the host computer.


Session Setup (Download tab)

Host, Properties, Download tab

Use the following options to define how SDI FTP should download files from the host computer:

Transfer sub-folders: If a folder is selected for download, all the files in folders which are contained in that folder are downloaded as well. The folder structure on the remote computer is replicated on the local computer.

Use quiet, queued mode: If this option is set, no progress dialog is displayed and files are downloaded in the background. This allows you to continue working in other sessions while file transfer takes place. See Using Quiet Queued Mode for more information.

Download more recent files: Only files which do not exist on the local computer or have a modification date which is later than that on the local computer are downloaded.

Overwrite existing files: If this option is set, when a file being transferred exists on the target computer, it is automatically replaced by the new file. If this option is not set, a dialog box asks you if you want to replace the file.

Ignore errors: If any error occurs, it is ignored and the file currently being downloaded will be skipped.

Use generated short names: Files stored on the local computer are renamed according to DOS 8.3 conventions. For example, a file on the remote host computer named "Sort Work File.wrk" would be stored in a file called "SortWo~1.wrk" when it is downloaded to the local computer.

Drop VMS file version: Removes the file version when downloading a file from a VAX VMS system.


domain name

A domain name is an alias for an IP address. It allows you to replace a difficult to remember IP address (66.155.44.250) with a domain name (sdisw.com). The domain name is translated to an IP address by a Domain Name System (DNS) server.


file filter

A file filter is used to display a subset file files and/or folders in a folder. Two different characters (wildcards) are used in file filters.

Character Description
* represents one or more characters.
? represents a single character.

Here are some examples:

Filter Description
*.htm displays all files with a ".htm" extension.
s*.zip displays all files that start with "s" and have a ".zip" extension.
?.html Displays all files with a single character file name and a ".html" file extension.
??.zip Displays all files with a two-character file name and a ".html" file extension.
s.* displays all files and folders that start with the letter "s".


FTP

FTP stands for File Transfer Protocol. A protocol is a language that enables computers to speak to one another. FTP makes it possible to transfer files from one computer to another via the Internet or an intranet.

The FTP protocol consists of two components, an FTP client and an FTP server. SDI FTP is an FTP client. SDI FTP can connect to a any computer running an FTP server and allow you to transfer files to and from your PC. In some cases you may need to get permission from the host computer's administrator to log on and gain access to files on the computer. But often you'll find that you can use FTP to gain access to certain networks or servers without having an account, or being an official password holder, with that computer. These "anonymous" FTP servers can contain a broad range of data that is publicly available.


!

! – execute a command in the Windows environment

!command

Where:

command is a command to be issued in the Windows environment.

Examples:

!rename test.txt test1.txt

!dir

!copy "read me.txt" readme.txt

Sample Script:

* Sample script using the "!" command.

* copy c:\monitor.log to c:\monitor.txt and upload it to the remote host.

* Set the local folder.

lcd c:\

* Copy c:\monitor.log to c:\monitor.txt.

!copy monitor.log monitor.txt

* Upload monitor.txt.

put monitor.txt


?

? – display script commands

?

Displays a list of valid script commands in the output log pane .


ASCII

Ascii – set current file transfer mode to ASCII (text)

 Return to Introduction

ascii

Set the current file transfer mode to ASCII (text).

Example:

ascii

Sample Script:

* Sample script using the "ascii!" command.

* Set the transfer mode to text (ASCII).

ascii

* Upload monitor.log.

put monitor.log


Auto

Auto – set current file transfer mode to Auto

auto

Set the current mode for file transfer to automatic. The transfer mode will be set to text (ASCII) if a file is transferred which has a file extension which matches one of the entries in the ASCII Mode File Extension list. Entries in the list can be modified by using the Program Options dialog box

(View, Preferences, File Types tab).

Example:

auto

Sample Script:

* Sample script using the "auto" command.

* Set the transfer mode to automatic.

auto

* Upload monitor.txt

put monitor.txt


Binary

Binary – set current file transfer mode to binary

binary

Set the current file transfer mode to binary.

Example:

binary

Sample Script:

* Sample script using the "binary" command.

* Set the transfer mode to binary.

binary

* Upload monitor.exe.

put monitor.exe


Cd

Cd – change the current folder on the remote computer

cd path

Where:

path is the path on the remote computer that is to be made the current folder. When the change has been made, the new folder is not automatically listed. If the script is being run interactively, i.e. not from a command prompt, and the new folder should be listed, use the "ls" command to refresh the list of files on the remote computer. If path contains a space, it must be enclosed in double quotes. For example:

cd "\sub folder\"

Examples:

cd \

cd pub

cd \pub\test

cd "\sub folder\"

Sample Script:

* Sample script using the "cd" command.

* Switch to \test\test2\ on the remote host.

cd \test\test2

* Upload test.txt to \test\test2\.

put test.txt

* Return to the root folder on the remote host.

cd \

ls


Close

Close – close the current session

close

Close the current session. SDI FTP continues running.

Example:

close

Sample Script:

* Sample script using the "close" command.

* Upload test.txt.

put test.txt

* Close the session.

close


Delete

Delete – delete a file on the remote computer

delete [path]filename

Where:

path (optional) is the path from the current folder.

filename is the file on the remote computer to be deleted. The filename and path must be enclosed in double quotes if either contains a space. For example:

delete "\subfolder\read me.txt"

Examples:

delete test.txt

delete \folder\text.txt

delete "\subfolder\read me.txt"

Sample Script:

* Sample script using the "delete" command.

* Upload test.txt.

put test.txt

* Delete test.txt.

delete test.txt


Dir

Dir – display the current folder on the remote computer

dir

Refresh the in-storage copy of the contents of the current folder on the remote computer. When running interactively, the contents of the current folder are updated on the screen.

Example:

dir


Disconnect

Disconnect – disconnect from the remote computer

disconnect

Disconnect from the remote computer.

Example:

disconnect

Sample Script:

* Sample script using the "disconnect" command.

* Upload text.txt.

put test.txt

* Disconnect the session.

disconnect


Exit

Exit – exit the application

exit {return code | 0}

Exit SDI FTP. Any active sessions will be closed immediately.

Where:

return code is the code returned to the operating system. If executing ftp.exe ( command line interface ) from a batch (.bat) command line, "errorlevel" may be used to check the return code and determine the next sequence of events.

Examples:

exit

exit 0

exit 550

Sample Script:

* Sample script using the "exit" command

* Upload text.txt to a folder that does not exist

put \invalid\test.txt

* Exit with error code.

if 550 exit550

exit 0

:exit550

exit 550


Get

Get – download a file from the host computer

get [path]filename

Where:

path (optional) is the path from the current folder. The path is honored on your local drive and the remote host. For example, "get folder/subfolder/test.txt" will look in current_folder/folder/subfolder/ on the remote host to find text.txt and it will download text.txt to current_folder/folder/subfolder/ on your PC.

filename is the name of the file to be downloaded from the host computer. The filename and path must be enclosed in double quotes if either contains a space. For example:

get "\subfolder\read me.txt"

Return Codes:

550 The specified file could not be found in the current folder on the remote host.

Examples:

get test.txt

get readme.txt

get "read me.txt"

get "\subfolder\read me.txt"

Sample Script:

* Sample download script.

* Download test.txt from the remote host to the c:\ folder on your PC.

* Set the local folder to c:\.

lcd c:\

* Switch to the remote folder containing text.txt.

cd \folder\subfolder\

* Download test.txt.

get test.txt


Goto

Goto – jump to a label

goto label

Where:

label is a label in the script file. Labels are identified by a colon in column 1. Do not precede the label name with a colon in the goto command.

Examples:

goto next

goto test

Sample Script:

goto BypassComments

* Sample script using the "goto" command.

* The goto on the first line bypasses these

* comments so they do not appear in the log file.

:BypassComments

* Download test.txt.

get test.txt


Help

Help – display information on script commands

Help {script command}

Where:

script command is a script command.

The help information is displayed in the output log pane. Help without any parameters displays a list of script commands available.

Examples:

help

help help

help !

help ascii

help cd


If

If – evaluate a condition and branch if true

if number label

if exist filename label

The if script command has two formats. The first format tests the return code of the previous script command and branches to label if the return code is greater than or equal to the number specified in the command. The second format tests if a file exists and branches to label if the specified filename exists in the current directory.

Where:

number is a numeric value. If the reply code from the previous script command is equal to or higher than number, the if command branches to label. Otherwise, processing continues with the next script command
label is a label somewhere in the script.

filename is the name of a file in the current directory.

Examples:

If 400 End

if 550 FileNotFound

If exist readme.txt ReadmeFound

Sample Script:

* Sample script using the "if" command.

* Upload test.txt to a folder that does not exist.

put \folder\test.txt

if 550 exit550

exit 0

:exit550

exit 550


Lcd

Lcd – change the current folder on the local computer

lcd path

Where:

path is the path on the local computer that is to be made the current folder. In interactive mode, when the change has been made, the new folder is automatically listed. If path contains a space, it must be enclosed in double quotes. For example:

lcd "\sub folder\"

Examples:

lcd c:\windows

lcd download

Sample Script:

* Sample script using the "lcd" command.

* Transfer test.txt from the remote host to the c:\windows\ folder on your PC.

* Set the local folder that is to receive the file.

lcd c:\windows

* Transfer the file.

get test.txt


Literal

Literal – send a command to the remote computer

literal command

Where:

command is the command to send to the remote host computer. The command is sent verbatim without any interpretation. A one line response is expected. Use the literal command if the FTP server supports commands not available in SDI FTP. If command contains a space it must be enclosed in double quotes. For example:

literal "mkd folder"

Examples:

literal syst

literal pwd

literal "mkd folder"


Ls

Ls – display the current folder on the remote computer

ls

Refresh the in-storage copy of the contents of the current folder on the remote computer. When running interactively, the contents of the current folder are updated on the screen.

Example:

ls

Sample Script:

* Sample script using the "ls" command

* Switch to \test\test2\ on the remote host

cd \test\test2

ls


Mkdir

Mkdir – create a new folder on the remote computer

Use the Mkdir to create a new folder or subfolder on the remote computer.

mkdir path

Where:

path is the name and location of the new folder to be created on the remote computer. The path is relative to the current folder. If path contains a space, it must be enclosed in double quotes. For example:

mkdir "\sub folder\"

Return Codes:

550 This return code can be caused by any of the following:
· A file or folder with the same name already exists in the current folder on the remote host.
· The specified path to the new folder does not exit on the remote host. For example if the path is "folder/subfolder" you will get this error if "folder" does not exist.
· You do not have the appropriate permissions to create a folder on the remote host.

Examples:

mkdir \newfolder

mkdir "sub folder"

mkdir folder\subfolder

Sample Script:

* Sample script using the "mkdir" command

* Create the \folder\subfolder folder

:Start

mkdir \folder\subfolder

if 550 FolderNotCreated

exit 0

:FolderNotCreated

mkdir \folder

if 550 Exit550

goto Start

:Exit550

exit 550


Put

Put – upload a file to the host computer

put [path]filename

Where:

path (optional) is the path from the current folder. The path is honored on your local drive and the remote host. For example, "put folder/subfolder/test.txt" will look in current_folder/folder/subfolder/ to find text.txt and it will upload text.txt to current_folder/folder/subfolder/ on the remote host.

filename is the name of the file to be transmitted to the remote host computer. The filename and path must be enclosed in double quotes if either contains a space. For example:

put "\subfolder\read me.txt"

Return Codes:

550 You do not have the appropriate permissions to upload a file to the current folder on the host.

Examples:

put test.txt

put readme.txt

put "read me.txt"

put "\folder\read me.txt"

Sample Script:

* Sample script using the "put" command

* Allow the upload to replace and existing file on the host without a prompt

set replace_remote on

* Upload test.txt

put test.txt


Quit

Quit – close the current session

quit

Close the current session. If SDI FTP is running from the command line and this is the only active session, quit will also exit SDI FTP.

Example:

quit

Sample Script:

* Sample script using the "quit" command.

* Upload test.txt.

put test.txt

* Close the session.

quit


Rename

Rename – rename a file or folder on the host computer

rename {filename1} {filename2}

Where:

filename1 is the name of an existing file or folder on the remote host computer.
filename2 is the name to which the file or folder will be renamed.

It either filename1 or filename2 contains a space it must be enclosed in double quotes. For example:

rename "file 1.txt" "file 2.txt"

Examples:

rename file1.txt file2.txt

rename newfile.new newfile.old

rename "file 1.txt" "file 2.txt"

Return Codes:

550 This return code can be caused by any of the following:
· filename1 not found in the current directory on the remote host computer.
· filename2 already exists in the current folder on the remote host computer.

Sample Script:

* Sample script using the "rename" command

* Upload test.txt

put test.txt

* rename test.txt

rename test.txt test2.txt


Rmdir

Rmdir – delete a folder on the remote computer

rmdir path

Where:

path is name and location of the folder to be deleted from the remote computer. The path is relative to the current folder. The path must be enclosed in double quotes if it contains a space. For example:

rmdir "\sub folder\"

Examples:

rmdir \oldfolder

rmdir oldfolder

rmdir "old folder"

Return Codes:

550 This return code can be caused by any of the following:
· The specified path does not exist in the current folder on the remote host. For example if the path is "folder/subfolder" you will get this error if "folder" does not exist.
· You do not have the appropriate permissions to delete a folder on the remote host.

Sample Script:

* Sample script using the "rmdir" command

* delete the \folder\subfolder folder

rmdir \folder\subfolder


intranet

A TCP/IP network belong to an organization. An intranet is used to share information just like the Internet, but an intranet is a private network. Access is limited to authorized users only.

Think of an intranet as a scaled down version of the Internet.


IP address

Every computer connected to the Internet or an intranet is assigned a unique number known as an IP (Internet Protocol) address. The IP address identifies a specific computer and is used when you want to communicate with that computer. Think of the IP address as an number your computer can call to communicate with another computer.

The IP address is 4 sets of numbers separated by periods and looks like this:

207.47.245.214

If you need to find out the IP address for another computer you should talk to the network administrator at that computer site.

If you need to find out the IP address of your computer, open a command prompt and type "IPCONFIG".


passive mode (PASV)

An FTP connection can be made in Active mode or Passive mode. The difference between the two is how the data port connection is negotiated. The FTP protocol uses two ports, a control port and a data port. When you specify the SDI FTP port number you are specifying the control port number. The data port number is negotiated between SDI FTP and the FTP server.

In active mode, the client initiates the connection to the server control port and the server initiates the connection to the client data port.

In passive mode (PASV), the client initiates the connection to both the control port and the data port.

Active mode

command port : client to server

data port: server to client

Passive mode

command port: client to server

data port: client to server

The proper mode depends upon firewall and FTP servers settings. If active mode fails, try your connection in passive mode.


Ping

Ping is a command line utility used to verify a connection to a remote computer. If you are having trouble connecting to a host computer, the first step in diagnosing the problem is to ping the host computer. You can ping either the domain name or the IP address. For example:

ping sdisw.com

ping 65.155.44.250

If you receive a reply, you have network connectivity to that host computer. If you receive a "Request timed out" message, you have a network problem that needs to be resolved. If you receive an "unknown host" message, the host name you specified could not be translated to an IP address.

The name ping comes from the sound sonar makes. As originally, the utility was inspired by the principle of echo location used by sonar. You can learn more about ping at The Story of Ping web site.


port number

Computers on the Internet or an intranet are identified by their IP address or domain name. When you connect to one of these computers you must also specify a port number. The port number identifies the service you want to communicate with. Since computers can run many services, the correct port number is needed to communicate with the correct service.

Port numbers range from 0 to 65536. Here are some commonly used port numbers:

Port Description

21 FTP

23 telnet
80 http
110 pop3
515 LPD

The vast majority of the time network administrators follow these guidelines when setting up their servers, but they are not required to do so. If you are unsure about the correct port number, you should contact the network administrator at the host computer site.


Set

Set - set delete and replace operations

Use the set options to determine how script commands that delete or replace a file are processed. The typical use of this command is to set an option on so that a script can run without the need for the operator to respond to confirmation prompts.

When an option is set, it remains in effect until it is reset by another set command or SDI FTP is restarted.

set delete_all {on | off | confirm}

delete_local

delete_remote

replace_all

replace_local

replace_remote

Where:

delete_all is the setting for both local and remote delete operations.
delete_local is the setting for local delete operations.
delete_remote is the setting for remote detele operations.
replace_all is the setting for replacing existing files on upload and download operations.
replace_local is the setting for replacing existing files on download operations.
replace_remote is the setting for replacing existing files on upload operations.
{on | off | confirm} sets the action for the specified operation.

on allow the operation with no confirmation dialog box.
off disallow the operation. An error message is issued if the operation is attempted.

confirm display the confirmation dialog box.

Examples:

set DELETE_LOCAL off

set replace_ local on

Sample Script:

* Sample script using the "set" command.

* Upload test.txt.

put test.txt

* Allow remote delete operations with no confirmation dialog box.

set delete_remote on

* Delete text.txt.

delete test.txt


SSL

SSL (Secure Socket Layer)

The SSL (Secure Sockets Layer) protocol allows the secure transmission of data across the Internet. SDI FTP SSL allows a secure connection to a host computer. Data transmitted to and from the host computer is safe from viewing and tampering by outside parties. SDI FTP supports SSL Version 2, SSL Version 3 and TLS version 1. SDI FTP also supports up to 128-bit encryption.